Results 1 to 5 of 5
Discuss [1.1.2 OTB] [question/speculation] bootloader downgrade at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Well if you search using keywords: bootloader downgrade you get about every topic in the ...
  1. #1
    Senior Professional Array Nikolas.A's Avatar

    Join Date
    Oct 2007
    Posts
    183
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Lightbulb [1.1.2 OTB] [question/speculation] bootloader downgrade

    Well if you search using keywords: bootloader downgrade you get about every topic in the unlock forums

    This might have been answered before but really can't remember which thread to go check.

    Is it possible to downgrade the bootloader?

    We want a newer baseband(1.1.3) to replace the non-unlockable 1.1.2 baseband.
    Could we do the same for the bootloader?
    For example if there is a newer bootloader someday can we use that bootloader's info to change the 4.06 bootloader to a version that doesn't check for digital signatures and baseband version?

    And is there a hardware way to do this?Doesn't matter if it difficult or too expensive.Just curious to find out!



  2. #2
    Senior Professional Array

    Join Date
    Oct 2007
    Posts
    412
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    28

    Default

    you can't, atleast not that we know of right now. someone may be able go more in depth with it then msyelf however. I presume the firmware upgrade might help the process along a little bit.
    Last edited by Random; 01-01-2008 at 10:14 PM.

  3. #3
    Senior Professional Array Nikolas.A's Avatar

    Join Date
    Oct 2007
    Posts
    183
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Default

    couldn't you be a little more specific?

  4. #4
    drg
    drg is offline
    Senior Professional Array

    Join Date
    Oct 2007
    Location
    Canada
    Posts
    479
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    34

    Default

    This avenue, although ideal, does not seem to be promising at this time. bbupdater does provide the option to flash the bootloader, but not much else is known. The command is:

    bbupdater -l *.fls

    The 3.09 bootloader file actually came with an ealier firmware version, and is available on the net.

    http://www.unlockthatiphone.com/BOOT03.09_M3S2.fls

    One can only hope that the new secpack somehow allows downgrading the BL, however, I am not hopeful.

  5. #5
    Senior Professional Array Nikolas.A's Avatar

    Join Date
    Oct 2007
    Posts
    183
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Default

    Well you never know...
    Lets hope that iphone sales dropped a lot so apple decides its time to "unlock" some of the iphones by including the bbupdater with an option to flash the bl...


 

 

Similar Threads

  1. Downgrade 4.24.02 on a 5.8 Bootloader?
    By win2000b in forum iOS 3.x (iPhone OS 3.x)
    Replies: 4
    Last Post: 05-15-2009, 10:27 PM
  2. Replies: 6
    Last Post: 02-25-2008, 03:10 AM
  3. Replies: 6
    Last Post: 02-19-2008, 12:34 AM
  4. [OTB 1.1.3] Is downgrade bootloader necessary?
    By apsk121 in forum iPhone "2G" (Rev. 1)
    Replies: 4
    Last Post: 02-17-2008, 04:31 PM
  5. Replies: 1
    Last Post: 02-09-2008, 05:36 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 02:57 PM.
twitter, follow us!